# Fetch all categories This operation shows details for all categories available in Wowza Video. Endpoint: GET /categories Version: BETA ## Query parameters: - `page` (integer) Returns a paginated view of results from the HTTP request. Specify a positive integer to indicate which page of the results should be displayed. The default is 1. - `per_page` (integer) For use with the page parameter. Indicates how many records should be included in a page of results. A valid value is any positive integer. The default and maximum value is 1000. - `query` (string) Searches text fields case insensitive and partial. Full matches aren't required. For categories, name and description are the only searchable fields. Limit to a specific field with a colon (:). If you have multiple search terms you can use pipe (|) to separate the search terms. Examples: | Query | Description | | ----- | ----------- | | query=foo | Searches name & description field for foo. | | query=foo:description | Searches description field for foo. | | query=foo\|bar | Searches name for foo and bar. A category must match both to be included.| - `sort_column` (string) Enum: "name" - `sort_direction` (string) - `only_top_level` (boolean) Only categories without parent categories will be returned if set to true. - `parent_id` (string) Limit search to categories with a specific parent category. When specified, only child categories with the specified parent will be returned. ## Response 200 fields (application/json): - `categories` (array) The list of categories. - `categories.category` (object) - `categories.category.id` (string) Unique identifier for the category. Example: "cb65a918-ad7d-406a-80d8-09c9c8d0dbbd" - `categories.category.name` (string) Name of the category. Example: "My first category" - `categories.category.description` (string) A description for the category. Example: "This is a category description." - `categories.category.parent_id` (string) Identifier to the parent category if one exists. If the category is on top level and no parent exists, the value is an empty string. Example: "parent_id": "" If the category is under an existing parent category, the value is the id of the parent category. Example: "parent_id": "cb65a918-ad7d-406a-80d8-09c9c8d0dbb" Note: When updating a category the parent can be removed by setting parent_id to an empty string. Example: "cb65a918-ad7d-406a-80d8-09c9c8d0dbb" - `pagination` (object) - `pagination.payload_version` (number) The pagination object version. - `pagination.total_records` (integer) The total number of records. Example: 100 - `pagination.page` (integer) The page number, starting at 1. Example: 1 - `pagination.per_page` (integer) The number of records per page. Example: 10 - `pagination.total_pages` (integer) The total number of pages. Example: 2 - `pagination.page_first_index` (integer) The index of the first record in the response. Example: 10 - `pagination.page_last_index` (integer) The index of the last record in the response. Example: 10 ## Response 401 fields (application/json): - `meta` (object, required) - `meta.status` (integer) - `meta.code` (string) - `meta.title` (string) - `meta.message` (string) - `meta.description` (string) - `meta.links` (array)